<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title>My Profile</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <div class="heroSection">
    <h4 class="Name"> {{model.name}}</h4>
    <div class="profileImg" [style.backgroundImage]="'url('+ model.imageUrl +')'"></div>
    <!-- <div class="profileImg" ><img src={{model.imageUrl}} /></div> -->
  </div>
  <ion-card class="personalInfo">
    <ion-card-header>
      <ion-card-title>Personal Information</ion-card-title>
    </ion-card-header>
    <ion-item>
      <ion-icon name="call" slot="start"></ion-icon>
      <ion-label >{{model?.accountId?.mobileNumber ? model?.accountId?.mobileNumber : '-'}}</ion-label>
    </ion-item>
    <ion-item>
      <ion-icon name="mail" slot="start"></ion-icon>
      <ion-label>{{model.email ? model.email : '-'}}
      </ion-label>
    </ion-item>
    <ion-item>
      <img src="../../assets/images/cake.png" class="genderIcon" slot="start">
      <ion-label>
        {{model.dob ? (model.dob | date) : '-' }}
      </ion-label>
    </ion-item>
    <ion-item>
      <img src="../../assets/images/gender.png" class="genderIcon" slot="start">
      <ion-label>{{model.gender ? model.gender : '-'}}</ion-label>
    </ion-item>
    <ion-item lines="none">
      <ion-icon name="home" slot="start"></ion-icon>
      <ion-label>{{model.address ? model.address : '-'}}</ion-label>
    </ion-item>
  </ion-card>

  <ion-list class="profileSettings" lines="none">
      <ion-list-header>
        <ion-label>Settings</ion-label>
      </ion-list-header>
      <ion-item  (click)="openEditProfile()">
        <ion-icon slot="start" color="medium" name="create"></ion-icon>
        <ion-label>Edit Profile</ion-label>
      </ion-item>
      <ion-item routerLink="/change-password">
        <ion-icon slot="start" color="medium" name="lock"></ion-icon>
        <ion-label>Change Password</ion-label>
      </ion-item>
      <ion-item (click)="openChangeMobile()">
        <ion-icon slot="start" color="medium" name="call"></ion-icon>
        <ion-label>Change Mobile Number</ion-label>
      </ion-item>
    </ion-list>
</ion-content>